---
title: Finale
slug: Web/API/Canvas_API/Tutorial/Finale
tags:
  - Canvas
  - Graphics
  - Tutorial
---
<div>{{CanvasSidebar}} {{PreviousNext("Web/API/Canvas_API/Tutorial/Optimizing_canvas")}}</div>

<div class="summary">
<p>Congratulations! You finished the <a href="/en-US/docs/Web/API/Canvas_API/Tutorial">Canvas tutorial</a>! This knowledge will help you to make great 2D graphics on the web.</p>
</div>

<h2 id="More_examples_and_tutorials">More examples and tutorials</h2>

<p>There are a variety of demos and further explanations about canvas on these sites:</p>

<dl>
 <dt><a href="https://codepen.io/search/pens?q=canvas">Codepen.io</a></dt>
 <dd>Front End Developer Playground &amp; Code Editor in the Browser.</dd>
 <dt><a href="http://www.html5canvastutorials.com/">HTML5 Canvas Tutorials</a></dt>
 <dd>Examples for most canvas APIs.</dd>
 <dt><a href="/en-US/docs/Games">Game development</a></dt>
 <dd>Gaming is one of the most popular computer activities. New technologies are constantly arriving to make it possible to develop better and more powerful games that can be run in any standards-compliant web browser.</dd>
</dl>

<h2 id="Other_Web_APIs">Other Web APIs</h2>

<p>These APIs might be useful when working further with canvas and graphics:</p>

<dl>
 <dt><a href="/en-US/docs/Web/WebGL">WebGL</a></dt>
 <dd>Advanced API for rendering complex graphics, including 3D.</dd>
 <dt><a href="/en-US/docs/Web/SVG">SVG</a></dt>
 <dd>Scalable Vector Graphics let you describe images as sets of vectors (lines) and shapes in order to allow them to scale smoothly regardless of the size at which they're drawn.</dd>
 <dt><a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio</a></dt>
 <dd>The Web Audio API provides a powerful and versatile system for controlling audio on the Web, allowing developers to choose audio sources, add effects to audio, create audio visualizations, apply spatial effects (such as panning)  and much more.</dd>
</dl>

<h2 id="Questions">Questions</h2>

<dl>
 <dt><a href="http://stackoverflow.com/questions/tagged/canvas">Stack Overflow</a></dt>
 <dd>Questions tagged with "canvas".</dd>
 <dt><a href="/en-US/docs/MDN">Comments about this tutorial – the MDN documentation community</a></dt>
 <dd>If you have any comments about this tutorial or want to thank us, feel free to reach out to us!</dd>
</dl>

<p>{{PreviousNext("Web/API/Canvas_API/Tutorial/Optimizing_canvas")}}</p>
